# simple-serial-port-server

A simple serial port server.

# Config

Example

```toml

[serial]
port = "COM1"
baud = 9600
# default is 8.
data_bits = 8
# default is 1.
#    for one stop bit, use 1
#    for one and a half stop bit, use 1.5
#    for two stop bit, use 2
#    other value will cause error
stop_bits = 1
# defualt is "N"
#    "N" - None Parity
#    "O" - Odd Parity
#    "E" - Even Parity
#    "M" - Parity bit is always 1
#    "S" - Parity bit is always 0
#    other value will cause error
parity = "N"

[server]
# currently only support "tcp"
# "udp" and "ws" may be supported in the future
mode = "tcp"

[server.tcp]
# default is ‘localhost:9600’
bind = ":9600"

[perf]
# buffer size for server read from client, default is 2048
tx_buf_size = 2048
# buffer size for read from serial port, default is 2048
rx_buf_size = 2048
```