package main

import (
	"errors"
	"git.swzry.com/zry/zry-go-program-framework/core"
)

var _ core.ISubService = (*WSServerSubSvc)(nil)

type WSServerSubSvc struct {
}

func NewWSServerSubSvc() *WSServerSubSvc {
	s := &WSServerSubSvc{}
	return s
}

func (T WSServerSubSvc) Prepare(ctx *core.SubServiceContext) error {
	ctx.Error("currently not support websocket")
	return errors.New("currently not support websocket")
}

func (T WSServerSubSvc) Run(ctx *core.SubServiceContext) error {
	ctx.Error("currently not support websocket")
	return errors.New("currently not support websocket")
}

func (T WSServerSubSvc) Stop(ctx *core.SubServiceContext) {
}
